/**
 * @(#) ActMvcAction.java 19.07.01
 *
 * jfem - a java finite element system
 *
 * Copyright (C) 1999-2001 HS-MD
 * jfem.support@jfem.de
 * www.jfem.de
 *
 * For License information see License.txt
 */

package org.app.action;

import javax.swing.AbstractAction;
import javax.swing.ImageIcon;

/**
 * description:
 *
 * @version     1.0  19.07.01
 * @author      Thomas Schmidt, Michael Wilhelem
 */

public abstract class ActMvcAction extends AbstractAction {
    private long _actionNr = 0;
    private long _modellTyp = 0;
    private boolean _toggle = false;

    public ActMvcAction() {
        setActionNr(0);
        setModellTyp(0);
    }

    public ActMvcAction(String name) {
        super(name);
        setActionNr(0);
        setModellTyp(0);
    }

    public ActMvcAction(String name, ImageIcon openIcon) {
        super(name, openIcon);
        setModellTyp(0);
        setActionNr(0);
    }

    /**
     * setModellTyp
     * @return none
     * @param long Id
     * @exception none
     * @version      1.0
     * @author Thomas Schmidt, Michael Wilhelm FH MD, FB Bauwesen
     * @use Example
     * @see #getModellTyp
     * @see #Modell setzt die ModellTyp
     */
    public void setModellTyp(long Id) {
        _modellTyp = Id;
    }

    /**
     * getModellTyp
     * @return long _modellTyp
     * @param none
     * @exception none
     * @version      1.0
     * @author Thomas Schmidt, Michael Wilhelm FH MD, FB Bauwesen
     * @use Example
     * @see #getModellTyp
     * @see #Modell gib die ModellTyp aus
     */
    public long getModellTyp() {
        return _modellTyp;
    }
    // --------------------------------------

    /**
     * setActionNr
     * @return none
     * @param long Id
     * @exception none
     * @version      1.0
     * @author Thomas Schmidt, Michael Wilhelm FH MD, FB Bauwesen
     * @use Example
     * @see #getActionNr
     */
    public void setActionNr(long Id) {
        _actionNr = Id;
    }

    /**
     * getActionNr
     * @return long _actionNr
     * @param none
     * @exception none
     * @version      1.0
     * @author Thomas Schmidt, Michael Wilhelm FH MD, FB Bauwesen
     * @use Example
     * @see #getActionNr gib die ActionNr aus
     */
    public long getActionNr() {
        return _actionNr;
    }

    public void setToggle(boolean Toggle) {
        _toggle = Toggle;
    }

    public void xorToggle() {
        _toggle = !_toggle;
    }

    public boolean getToggle() {
        return _toggle;
    }
}
